Bug 1800746 - [IPI baremetal]: during bootstrap, two dhcp servers could be active on the provisioning network
Summary: [IPI baremetal]: during bootstrap, two dhcp servers could be active on the pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.5.0
Assignee: Stephen Benjamin
QA Contact: Nataf Sharabi
URL:
Whiteboard:
Depends On:
Blocks: 1804793
TreeView+ depends on / blocked
 
Reported: 2020-02-07 20:15 UTC by Stephen Benjamin
Modified: 2020-07-13 17:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Operators in the control plane can now start before bootstrap is fully complete. Consequence: Baremetal provisioning infrastructure could be active on both the bootstrap and control plane at the same time. Fix: Restrict bootstrap provisioning infrastructure to provision masters only. Result: Both provisioning infrastructures can be online at the same time.
Clone Of:
: 1804793 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:14:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3079 None closed Bug 1800746: baremetal: only respond to dhcp for control plane mac's 2020-07-06 19:28:33 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:14:49 UTC

Description Stephen Benjamin 2020-02-07 20:15:33 UTC
The bootstrap VM can now co-exist with machine-api being up. That means there could be an instance of Ironic, dnsmasq, etc running in both the cluster and the bootstrap. This causes problems, as it's not deterministic which dnsmasq instance the worker provisioned by the machine-api will use. If bootstrap responds first then the worker will not come online as it'll be pointing at the wrong place.

This is causing a percentage of baremetal installs to fail, with the worker being offline, ingress and other operators never come up.

Comment 7 errata-xmlrpc 2020-07-13 17:14:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.